---
title: DOMTokenList.values()
slug: Web/API/DOMTokenList/values
tags:
  - DOM
  - DOMTokenList
  - Iterable
  - Method
  - Reference
  - Web
  - values
---
<p>{{APIRef("DOM")}}</p>

<p>The <code><strong>values()</strong></code> method of the {{domxref("DOMTokenList")}} interface returns an {{jsxref("Iteration_protocols",'iterator')}} allowing developers to go through all values contained in the <code>DOMTokenList</code>. The individual values are {{domxref("DOMString")}} objects.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">tokenList.values();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>Returns an {{jsxref("Iteration_protocols","iterator")}}.</p>

<h2 id="Examples">Examples</h2>

<p>In the following example we retrieve the list of classes set on a {{htmlelement("span")}} element as a <code>DOMTokenList</code> using {{domxref("Element.classList")}}. We when retrieve an iterator containing the values using <code>values()</code>, then iterate through those values using a <a href="/en-US/docs/Web/JavaScript/Reference/Statements/for...of">for ... of</a> loop, writing each one to the <code>&lt;span&gt;</code>'s {{domxref("Node.textContent")}}.</p>

<p>First, the HTML:</p>

<pre class="brush: html notranslate">&lt;span class="a b c"&gt;&lt;/span&gt;</pre>

<p>Now the JavaScript:</p>

<pre class="brush: js notranslate">var span = document.querySelector("span");
var classes = span.classList;
var iterator = classes.values();

for(var value of iterator) {
  span.textContent += value + ' ++ ';
}</pre>

<p>The output looks like this:</p>

<p>{{ EmbedLiveSample('Examples', '100%', 60) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG','#domtokenlist','values() (as iterable&lt;Node&gt;)')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DOMTokenList.values")}}</p>
</div>
